perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05-alt1.noarch.rpm


Advertisement

Description

perl-Dancer2-Plugin-HTTP-ConditionalRequest - RFC 7232 compliant

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05-alt1.noarch.rpm
Package name perl-Dancer2-Plugin-HTTP-ConditionalRequest
Package version 0.05
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 26.05 KB
Installed size 26.05 KB
Conditionally handling HTTP request based on eTag or Modification-Date,
according to RFC 7232
HTTP Conditional Requests are used for telling servers that they only have to
perform the method if the preconditions are met. Such requests are either used
by caches to (re)validate the cached response with the origin server - or -
to prevent lost-updates with unsafe-methods in a stateless api (like REST).
any '/my_resource/:id' => sub {
...
...
http_conditional {
etag            => '2d5730a4c92b1061',
last_modified   => "Tue, 15 Nov 1994 12:45:26 GMT", # HTTP Date
required        => false,
} => sub {
...
...
}
};

Alternatives

Package Version Architecture Repository
perl-Dancer2-Plugin-HTTP-ConditionalRequest - - -

Requires

Name Value
/usr/share/perl5 -
perl(Dancer2/Plugin.pm) -
perl(DateTime/Format/HTTP.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dancer2/Plugin/HTTP/ConditionalRequest.pm) = 0.050
perl-Dancer2-Plugin-HTTP-ConditionalRequest = 0.05-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05-alt1.noarch.rpm
Source Package perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dancer2-Plugin-HTTP-ConditionalRequest rpm package:
    # sudo apt-get install perl-Dancer2-Plugin-HTTP-ConditionalRequest

Files

Path
/usr/share/doc/perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05/Changes
/usr/share/doc/perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05/README
/usr/share/doc/perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05/README.md
/usr/share/doc/perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05/examples/condition_safe.pl
/usr/share/doc/perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05/examples/plain_headers.pl
/usr/share/doc/perl-Dancer2-Plugin-HTTP-ConditionalRequest-0.05/examples/safe_methods.pl
/usr/share/perl5/Dancer2/
/usr/share/perl5/Dancer2/Plugin/
/usr/share/perl5/Dancer2/Plugin/HTTP/ConditionalRequest.pm

See Also

Package Description
perl-Dancer2-Plugin-HTTP-ContentNegotiation-0.02-alt1.noarch.rpm Server-driven negotiation
perl-Dancer2-Plugin-JSManager-0.013-alt1.noarch.rpm Manage website javascript files with the Dancer2 configuration file
perl-Dancer2-Plugin-JWT-0.017-alt1.noarch.rpm JSON Web Token made simple for Dancer2
perl-Dancer2-Plugin-Locale-0.04-alt1.noarch.rpm Localize your Dancer2 application
perl-Dancer2-Plugin-Locale-Meta-0.006-alt1.noarch.rpm Interface to support multilanguage using Locale::Meta package
perl-Dancer2-Plugin-Locale-Wolowitz-0.05-alt1.noarch.rpm Dancer2's plugin for Locale::Wolowitz
perl-Dancer2-Plugin-LogContextual-1.152121-alt1.noarch.rpm wrap a Dancer2 plack app in the configured Log::Contextual logger
perl-Dancer2-Plugin-Map-Tube-0.02-alt1.noarch.rpm Dancer2 add-on for Map::Tube
perl-Dancer2-Plugin-MarkdownFilesToHTML-0.017-alt1.noarch.rpm Easy conversion of markdown documents to HTML for display in your Dancer2 website
perl-Dancer2-Plugin-Menu-0.009-alt1.noarch.rpm Automatically generate an HTML menu for your Dancer2 app
perl-Dancer2-Plugin-Minify-0.002-alt1.noarch.rpm Minify HTML, JavaScript and CSS
perl-Dancer2-Plugin-Model-1.152120-alt1.noarch.rpm gantry to hang a model layer onto Dancer2
perl-Dancer2-Plugin-Multilang-1.2.0-alt1.noarch.rpm Dancer2 Plugin to create multilanguage sites
perl-Dancer2-Plugin-Negotiate-0.002-alt1.noarch.rpm Content negotiation plugin for Dancer2
perl-Dancer2-Plugin-OAuth2-Server-0.10-alt1.noarch.rpm Easier implementation of an OAuth2 Authorization Server / Resource Server with Dancer2 Port of Mojo
Advertisement
Advertisement